LinuxQMISDK: omaDmFotaTlvExt Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
omaDmFotaTlvExt Struct Reference

## Data Fields
BYTE | state
BYTE | reserved
USHORT | userInputTimeout
ULONG | packageSize
ULONG | receivedBytes
USHORT | fumoResultCode
USHORT | versionlength
BYTE | version [256]
USHORT | namelength
BYTE | package_name [256]
USHORT | descriptionlength
BYTE | description [256]

## Detailed Description

This structure will hold the SwiOmaDmFota session parameters information.

Parameters

  state | 0x01 - No Firmware available 0x02 - reserved 0x03 - Update progress bar, UI screen 7[1] should be displayed 0x04 - reserved 0x05 - FUMO image download success, UI screen 8[1] should be displayed 0x06 - reserved 0x07 - FUMO image installation result, used to return error code. 0x08 - FUMO session start 0x09 - UI Screen 7[1] with 0 percent bar should be displayed 0x0A - FUMO image installation is cancelled by user. 0x0B - FUMO session fail 0x0C - Device is sending a report to OMA Server. 0x0D - Report to server success. 0x0E - Report to server fails. 0x0F - reserved 0x10 - FUMO session is cancelled before image download success. 0x11 - UI Screen 16[1] should be displayed, FUMO delay option, OMA task is blocked until a valid response is recevied.
  reserved | - For sprint reserved
  user_input_timeout | How many seconds OMA task stop to wait for user/host response.
  packageSize | The size (in bytes) of the firmware update package (only valid for states 3/5/7).
  receivedBytes | The number of bytes downloaded. Useful for FUMO state 3.
  fumoResultCode | Used when fumo state is 7/11. REsult code of FUMO image installation 200 image install success Others: image install fail
  versionlength | Length of FW Version string in bytes
  version | FW Version string in ASCII (Max 256 characters)
  namelength | Length Package Name string in bytes
  package_name | Package Name in UCS2 (Max 256 characters)
  descriptionlength | Length of description in bytes
  description | Description of Update Package in USC2 (Max 256 characters)

## Field Documentation

BYTE omaDmFotaTlvExt::description[256]

USHORT omaDmFotaTlvExt::descriptionlength

USHORT omaDmFotaTlvExt::fumoResultCode

USHORT omaDmFotaTlvExt::namelength

BYTE omaDmFotaTlvExt::package_name[256]

ULONG omaDmFotaTlvExt::packageSize

ULONG omaDmFotaTlvExt::receivedBytes

BYTE omaDmFotaTlvExt::reserved

BYTE omaDmFotaTlvExt::state

USHORT omaDmFotaTlvExt::userInputTimeout

BYTE omaDmFotaTlvExt::version[256]

USHORT omaDmFotaTlvExt::versionlength